package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 拼团商品对象 mall_combine_goods
 *
 * @author ruoyi
 * @date 2024-03-21
 */
public class MallCombineGoods extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 拼团商品主键ID */
    private Long combineId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long goodsId;

    /** 拼团价 */
    @Excel(name = "拼团价")
    private BigDecimal price;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;

    /** 拼团人数 */
    @Excel(name = "拼团人数")
    private Integer peopleNum;

    /** 拼团结束时间（分钟） */
    @Excel(name = "拼团结束时间（分钟）")
    private Integer endMinute;

    /** 时间ID */
    @Excel(name = "时间ID")
    private Long timeId;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endTime;

    /** 销量 */
    @Excel(name = "销量")
    private Long saleNum;

    /** 限购 */
    @Excel(name = "限购")
    private Long purchaseLimits;

    /** 状态（0-显示，1-隐藏） */
    @Excel(name = "状态", readConverterExp = "0=-显示，1-隐藏")
    private Long status;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记 */
    @Excel(name = "删除标记")
    private Integer delFlag;

    private String goodsName;
    private String goodsTitle;
    private String goodsImg;
    private String className;

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsTitle() {
        return goodsTitle;
    }

    public void setGoodsTitle(String goodsTitle) {
        this.goodsTitle = goodsTitle;
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public void setCombineId(Long combineId)
    {
        this.combineId = combineId;
    }

    public Long getCombineId()
    {
        return combineId;
    }
    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setStock(Long stock)
    {
        this.stock = stock;
    }

    public Long getStock()
    {
        return stock;
    }
    public void setPeopleNum(Integer peopleNum)
    {
        this.peopleNum = peopleNum;
    }

    public Integer getPeopleNum()
    {
        return peopleNum;
    }
    public Integer getEndMinute() {
        return endMinute;
    }

    public void setEndMinute(Integer endMinute) {
        this.endMinute = endMinute;
    }
    public void setTimeId(Long timeId)
    {
        this.timeId = timeId;
    }

    public Long getTimeId()
    {
        return timeId;
    }
    public void setEndTime(String endTime)
    {
        this.endTime = endTime;
    }

    public String getEndTime()
    {
        return endTime;
    }
    public void setSaleNum(Long saleNum)
    {
        this.saleNum = saleNum;
    }

    public Long getSaleNum()
    {
        return saleNum;
    }
    public void setPurchaseLimits(Long purchaseLimits)
    {
        this.purchaseLimits = purchaseLimits;
    }

    public Long getPurchaseLimits()
    {
        return purchaseLimits;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("combineId", getCombineId())
            .append("goodsId", getGoodsId())
            .append("price", getPrice())
            .append("stock", getStock())
            .append("peopleNum", getPeopleNum())
            .append("endMinute", getEndMinute())
            .append("timeId", getTimeId())
            .append("endTime", getEndTime())
            .append("saleNum", getSaleNum())
            .append("purchaseLimits", getPurchaseLimits())
            .append("status", getStatus())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
